QR kodları
GET https://digily.link/api/qr-codes/
curl --request GET \
--url 'https://digily.link/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| search | İsteğe bağlı Dize | Arama dizesi. |
| search_by | İsteğe bağlı Dize | Hangi alanla arama yapıyorsunuz. İzin verilen değerler şunlardır: name. |
| project_id | İsteğe bağlı Tamsayı | |
| type | İsteğe bağlı Dize | Hangi alanla arama yapıyorsunuz. İzin verilen değerler şunlardır: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | İsteğe bağlı Dize | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Dize | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | İsteğe bağlı Dize | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | İsteğe bağlı Dize | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler şunlardır: qr_code_id, datetime, last_datetime, name, type. |
| order_type | İsteğe bağlı Dize | Sonuçların sıralaması. İzin verilen değerler şunlardır: artan sıralama için ASC ve azalan sıralama için DESC. |
| page | İsteğe bağlı Tamsayı | Sonuçların başlayacağı istediğiniz sayfa numarası. Varsayılan olarak 1. |
| results_per_page | İsteğe bağlı Tamsayı | Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olarak 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://digily.link/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-04-14 11:53:57",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/qr-codes?page=1",
"last": "https://digily.link/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/qr-codes?page=1"
}
}
GET https://digily.link/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://digily.link/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-04-14 11:53:57",
}
}
POST https://digily.link/api/qr-codes
| Parametreler | Detaylar | Açıklama |
|---|---|---|
curl --request POST \
--url 'https://digily.link/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://digily.link/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://digily.link/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://digily.link/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \